# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name ConfigFile

%global common_summary Configuration file reading and writing

%global common_description Parser and writer for handling sectioned config files in \
Haskell. \
 \
The ConfigFile module works with configuration files in a \
standard format that is easy for the user to edit, easy for \
the programmer to work with, yet remains powerful and \
flexible. It is inspired by, and compatible with, Python's \
ConfigParser module. It uses files that resemble Windows \
.INI-style files, but with numerous improvements. \
 \
ConfigFile provides simple calls to both read and write \
config files. It's possible to make a config file parsable by \
this module, the Unix shell, and make.

Name:           ghc-%{pkg_name}
Version:        1.1.1
Release:        7%{?dist}
Summary:        %{common_summary}

License:        LGPLv2+
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz

BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
# Begin cabal-rpm deps:
BuildRequires:  ghc-MissingH-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-mtl-devel
BuildRequires:  ghc-parsec-devel
# End cabal-rpm deps

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files COPYING COPYRIGHT
%doc README


%changelog
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Nov 17 2012 Jens Petersen <petersen@redhat.com> - 1.1.1-6
- update with cabal-rpm

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Mon Jul 16 2012 Jens Petersen <petersen@redhat.com> - 1.1.1-4
- change prof BRs to devel

* Fri Jun 15 2012 Jens Petersen <petersen@redhat.com> - 1.1.1-3
- rebuild

* Wed Jan  4 2012 Jens Petersen <petersen@redhat.com> - 1.1.1-2
- update to cabal2spec-0.25.2

* Sat Dec  3 2011 Jens Petersen <petersen@redhat.com> - 1.1.1-1
- update to 1.1.1

* Mon Oct 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.0.6-7.3
- rebuild with new gmp without compat lib

* Thu Oct 20 2011 Marcela Mašláňová <mmaslano@redhat.com> - 1.0.6-7.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 1.0.6-7.1
- rebuild with new gmp

* Mon Sep 26 2011 Jens Petersen <petersen@redhat.com> - 1.0.6-7
- rebuild against MissingH-1.1.1.0 and BR haskell98

* Mon Aug 29 2011 Jens Petersen <petersen@redhat.com> - 1.0.6-6
- rebuild for hslogger-1.1.5

* Wed Jun 22 2011 Jens Petersen <petersen@redhat.com> - 1.0.6-5
- BR ghc-Cabal-devel instead of ghc-prof and use ghc_arches (cabal2spec-0.23.2)

* Wed Mar 16 2011 Jens Petersen <petersen@redhat.com> - 1.0.6-4
- update to cabal2spec-0.22.5

* Sat Jan 29 2011 Jens Petersen <petersen@redhat.com> - 1.0.6-3
- update to cabal2spec-0.22.4

* Wed Sep 15 2010 Jens Petersen <petersen@redhat.com> - 1.0.6-2
- include the COPYRIGHT file too

* Sun Sep 05 2010 Ben Boeckel <mathstuf@gmail.com> - 1.0.6-1
- Initial package

* Sun Sep  5 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 1.0.6-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
